package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "BaseWeatherFindDto", description = "接收数据")
public class BaseWeatherFindDto extends BaseFindDto{
    //@ApiModelProperty("查询天气的日期")
    private String weatherDate;

    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return cc.rehome.zhanjiang.data_center_model.domain.security.authorize.maintenance_temporary.in.MaintenanceTemporaryFindDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static BaseWeatherFindDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, BaseWeatherFindDto.class);
    }

    public String getWeatherDate() {
        return weatherDate;
    }

    public void setWeatherDate(String weatherDate) {
        this.weatherDate = weatherDate;
    }
}
